From: Serge Semin <fancer.lancer@gmail.com>
To: jdmason@kudzu.us, dave.jiang@intel.com, Allen.Hubbe@emc.com,
Shyam-sundar.S-k@amd.com, Xiangliang.Yu@amd.com,
gary.hook@amd.com
Cc: Sergey.Semin@t-platforms.ru, linux-ntb@googlegroups.com,
linux-kernel@vger.kernel.org,
Serge Semin <fancer.lancer@gmail.com>
Subject: [PATCH v4 09/15] NTB: ntb_test: Update ntb_tool link tests
Date: Wed, 6 Dec 2017 17:32:00 +0300 [thread overview]
Message-ID: <20171206143206.14665-10-fancer.lancer@gmail.com> (raw)
In-Reply-To: <20171206143206.14665-1-fancer.lancer@gmail.com>
Link Up and Down methods are used to change NTB link settings on
local side only for multi-port devices. Link is considered up
only if both sides local and peer set it up. Intel/AMD hardware
acts a bit different by assigning the Primary and Secondary roles,
so Primary device only is able to change the link state. Such behaviour
should be reflected in the test code.
Signed-off-by: Serge Semin <fancer.lancer@gmail.com>
---
Changelog v3:
- Redirect errors to /dev/null instead of /dev/nulle
tools/testing/selftests/ntb/ntb_test.sh | 26 +++++++++++++++-----------
1 file changed, 15 insertions(+), 11 deletions(-)
diff --git a/tools/testing/selftests/ntb/ntb_test.sh b/tools/testing/selftests/ntb/ntb_test.sh
index 541ba70ad640..a3942f31c057 100755
--- a/tools/testing/selftests/ntb/ntb_test.sh
+++ b/tools/testing/selftests/ntb/ntb_test.sh
@@ -138,6 +138,11 @@ function check_file()
fi
}
+function subdirname()
+{
+ echo $(basename $(dirname $1)) 2> /dev/null
+}
+
function find_pidx()
{
PORT=$1
@@ -183,9 +188,9 @@ function link_test()
REM=$2
EXP=0
- echo "Running link tests on: $(basename $LOC) / $(basename $REM)"
+ echo "Running link tests on: $(subdirname $LOC) / $(subdirname $REM)"
- if ! write_file "N" "$LOC/link" 2> /dev/null; then
+ if ! write_file "N" "$LOC/../link" 2> /dev/null; then
echo " Unsupported"
return
fi
@@ -193,12 +198,11 @@ function link_test()
write_file "N" "$LOC/link_event"
if [[ $(read_file "$REM/link") != "N" ]]; then
- echo "Expected remote link to be down in $REM/link" >&2
+ echo "Expected link to be down in $REM/link" >&2
exit -1
fi
- write_file "Y" "$LOC/link"
- write_file "Y" "$LOC/link_event"
+ write_file "Y" "$LOC/../link"
echo " Passed"
}
@@ -379,15 +383,15 @@ function ntb_tool_tests()
port_test "$LOCAL_TOOL" "$REMOTE_TOOL"
- write_file "Y" "$LOCAL_TOOL/link_event"
- write_file "Y" "$REMOTE_TOOL/link_event"
+ LOCAL_PEER_TOOL="$LOCAL_TOOL/peer$LOCAL_PIDX"
+ REMOTE_PEER_TOOL="$REMOTE_TOOL/peer$REMOTE_PIDX"
- link_test "$LOCAL_TOOL" "$REMOTE_TOOL"
- link_test "$REMOTE_TOOL" "$LOCAL_TOOL"
+ link_test "$LOCAL_PEER_TOOL" "$REMOTE_PEER_TOOL"
+ link_test "$REMOTE_PEER_TOOL" "$LOCAL_PEER_TOOL"
#Ensure the link is up on both sides before continuing
- write_file "Y" "$LOCAL_TOOL/link_event"
- write_file "Y" "$REMOTE_TOOL/link_event"
+ write_file "Y" "$LOCAL_PEER_TOOL/link_event"
+ write_file "Y" "$REMOTE_PEER_TOOL/link_event"
for PEER_TRANS in $(ls "$LOCAL_TOOL"/peer_trans*); do
PT=$(basename $PEER_TRANS)
--
2.12.0
next prev parent reply other threads:[~2017-12-06 14:34 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-03 19:17 [PATCH v2 00/15] NTB: Add full multi-port API support to the test drivers Serge Semin
2017-12-03 19:17 ` [PATCH v2 01/15] NTB: Rename NTB messaging API methods Serge Semin
2017-12-05 16:49 ` Jon Mason
2017-12-05 17:31 ` Serge Semin
2017-12-05 18:07 ` Jon Mason
2017-12-05 20:54 ` Serge Semin
2017-12-05 21:48 ` Logan Gunthorpe
2017-12-05 19:11 ` Logan Gunthorpe
2017-12-03 19:17 ` [PATCH v2 02/15] NTB: Set dma mask and dma coherent mask to NTB devices Serge Semin
2017-12-05 16:51 ` Jon Mason
2017-12-05 17:21 ` Logan Gunthorpe
2017-12-05 17:48 ` Serge Semin
2017-12-03 19:17 ` [PATCH v2 03/15] NTB: Fix UB/bug in ntb_mw_get_align() Serge Semin
2017-12-05 16:52 ` Jon Mason
2017-12-05 17:01 ` Logan Gunthorpe
2017-12-05 17:08 ` Jon Mason
2017-12-05 17:56 ` Serge Semin
2017-12-05 18:08 ` Jon Mason
2017-12-05 20:57 ` Serge Semin
2017-12-03 19:17 ` [PATCH v2 04/15] NTB: ntb_pp: Add full multi-port NTB API support Serge Semin
2017-12-05 17:02 ` Jon Mason
2017-12-05 19:53 ` Serge Semin
2017-12-05 21:50 ` Logan Gunthorpe
2017-12-03 19:17 ` [PATCH v2 05/15] NTB: ntb_tool: " Serge Semin
2017-12-05 18:03 ` Jon Mason
2017-12-05 19:16 ` Logan Gunthorpe
2017-12-05 20:01 ` Serge Semin
2017-12-03 19:17 ` [PATCH v2 06/15] NTB: ntb_perf: " Serge Semin
2017-12-05 18:21 ` Jon Mason
2017-12-05 20:29 ` Serge Semin
2017-12-06 1:17 ` kbuild test robot
2017-12-03 19:17 ` [PATCH v2 07/15] NTB: ntb_test: Safely use paths with whitespace Serge Semin
2017-12-05 18:24 ` Jon Mason
2017-12-03 19:17 ` [PATCH v2 08/15] NTB: ntb_test: Add ntb_tool port tests Serge Semin
2017-12-03 19:17 ` [PATCH v2 09/15] NTB: ntb_test: Update ntb_tool link tests Serge Semin
2017-12-05 18:26 ` Jon Mason
2017-12-05 20:37 ` Serge Semin
2017-12-03 19:17 ` [PATCH v2 10/15] NTB: ntb_test: Update ntb_tool DB tests Serge Semin
2017-12-05 18:27 ` Jon Mason
2017-12-05 19:38 ` Logan Gunthorpe
2017-12-05 20:42 ` Serge Semin
2017-12-03 19:17 ` [PATCH v2 11/15] NTB: ntb_test: Update ntb_tool Scratchpad tests Serge Semin
2017-12-03 19:17 ` [PATCH v2 12/15] NTB: ntb_test: Add ntb_tool Message tests Serge Semin
2017-12-03 19:17 ` [PATCH v2 13/15] NTB: ntb_test: Update ntb_tool MW tests Serge Semin
2017-12-03 19:17 ` [PATCH v2 14/15] NTB: ntb_test: Update ntb_perf tests Serge Semin
2017-12-03 19:17 ` [PATCH v2 15/15] NTB: ntb_hw_idt: Set NTB_TOPO_SWITCH topology Serge Semin
2017-12-04 4:54 ` [PATCH v2 00/15] NTB: Add full multi-port API support to the test drivers Logan Gunthorpe
2017-12-04 6:12 ` Serge Semin
2017-12-04 20:10 ` Allen Hubbe
2017-12-05 15:54 ` Serge Semin
2017-12-05 16:57 ` Logan Gunthorpe
2017-12-05 22:39 ` [PATCH v3 " Serge Semin
2017-12-05 22:39 ` [PATCH v3 01/15] NTB: Rename NTB messaging API methods Serge Semin
2017-12-05 23:36 ` Logan Gunthorpe
2017-12-05 22:39 ` [PATCH v3 02/15] NTB: Set dma mask and dma coherent mask to NTB devices Serge Semin
2017-12-05 23:39 ` Logan Gunthorpe
2017-12-05 22:39 ` [PATCH v3 03/15] NTB: Fix UB/bug in ntb_mw_get_align() Serge Semin
2017-12-05 23:38 ` Logan Gunthorpe
2017-12-05 22:39 ` [PATCH v3 04/15] NTB: ntb_pp: Add full multi-port NTB API support Serge Semin
2017-12-05 22:39 ` [PATCH v3 05/15] NTB: ntb_tool: " Serge Semin
2017-12-05 22:39 ` [PATCH v3 06/15] NTB: ntb_perf: " Serge Semin
2017-12-05 22:39 ` [PATCH v3 07/15] NTB: ntb_test: Safely use paths with whitespace Serge Semin
2017-12-05 22:39 ` [PATCH v3 08/15] NTB: ntb_test: Add ntb_tool port tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 09/15] NTB: ntb_test: Update ntb_tool link tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 10/15] NTB: ntb_test: Update ntb_tool DB tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 11/15] NTB: ntb_test: Update ntb_tool Scratchpad tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 12/15] NTB: ntb_test: Add ntb_tool Message tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 13/15] NTB: ntb_test: Update ntb_tool MW tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 14/15] NTB: ntb_test: Update ntb_perf tests Serge Semin
2017-12-05 22:39 ` [PATCH v3 15/15] NTB: ntb_hw_idt: Set NTB_TOPO_SWITCH topology Serge Semin
2017-12-05 23:36 ` [PATCH v3 00/15] NTB: Add full multi-port API support to the test drivers Logan Gunthorpe
2017-12-06 14:31 ` [PATCH v4 " Serge Semin
2017-12-06 14:31 ` [PATCH v4 01/15] NTB: Rename NTB messaging API methods Serge Semin
2017-12-06 14:31 ` [PATCH v4 02/15] NTB: Set dma mask and dma coherent mask to NTB devices Serge Semin
2017-12-06 14:31 ` [PATCH v4 03/15] NTB: Fix UB/bug in ntb_mw_get_align() Serge Semin
2017-12-06 14:31 ` [PATCH v4 04/15] NTB: ntb_pp: Add full multi-port NTB API support Serge Semin
2017-12-06 14:31 ` [PATCH v4 05/15] NTB: ntb_tool: " Serge Semin
2017-12-06 14:31 ` [PATCH v4 06/15] NTB: ntb_perf: " Serge Semin
2017-12-06 14:31 ` [PATCH v4 07/15] NTB: ntb_test: Safely use paths with whitespace Serge Semin
2017-12-06 14:31 ` [PATCH v4 08/15] NTB: ntb_test: Add ntb_tool port tests Serge Semin
2017-12-06 14:32 ` Serge Semin [this message]
2017-12-06 14:32 ` [PATCH v4 10/15] NTB: ntb_test: Update ntb_tool DB tests Serge Semin
2017-12-06 14:32 ` [PATCH v4 11/15] NTB: ntb_test: Update ntb_tool Scratchpad tests Serge Semin
2017-12-06 14:32 ` [PATCH v4 12/15] NTB: ntb_test: Add ntb_tool Message tests Serge Semin
2017-12-06 14:32 ` [PATCH v4 13/15] NTB: ntb_test: Update ntb_tool MW tests Serge Semin
2017-12-06 14:32 ` [PATCH v4 14/15] NTB: ntb_test: Update ntb_perf tests Serge Semin
2017-12-06 14:32 ` [PATCH v4 15/15] NTB: ntb_hw_idt: Set NTB_TOPO_SWITCH topology Serge Semin
2018-01-18 22:28 ` [PATCH v4 00/15] NTB: Add full multi-port API support to the test drivers Jon Mason
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20171206143206.14665-10-fancer.lancer@gmail.com \
--to=fancer.lancer@gmail.com \
--cc=Allen.Hubbe@emc.com \
--cc=Sergey.Semin@t-platforms.ru \
--cc=Shyam-sundar.S-k@amd.com \
--cc=Xiangliang.Yu@amd.com \
--cc=dave.jiang@intel.com \
--cc=gary.hook@amd.com \
--cc=jdmason@kudzu.us \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-ntb@googlegroups.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome